List Providers
curl --request GET \
--url https://identity.sandbox.lerian.net/v1/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://identity.sandbox.lerian.net/v1/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://identity.sandbox.lerian.net/v1/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "019c96a0-1a10-7abc-d1e2-8c9d0e1f2a3b",
"name": "sendgrid-primary",
"category": "Email",
"type": "SendGrid",
"host": "smtp.sendgrid.net",
"port": 587,
"disableSsl": false,
"createdAt": "2025-04-08T08:01:30.000Z"
},
{
"id": "019c96a0-1b20-7bcd-e1f2-9d0e1f2a3b4c",
"name": "twilio-sms",
"category": "SMS",
"type": "Twilio",
"disableSsl": false,
"createdAt": "2025-04-07T18:57:57.312Z"
}
],
"page": 1,
"limit": 10,
"total": 2
}{
"code": "IDE-1007",
"title": "Provider Not Found",
"message": "The provided provider ID does not exist in our records."
}{
"code": "IDE-0006",
"title": "Internal Server Error",
"message": "The server encountered an unexpected error. Please try again later."
}List Providers
Use this endpoint to list all communication providers configured in the system.
GET
/
v1
/
providers
List Providers
Authorizations
The authorization token in the 'Bearer ' format.
Query Parameters
Filters providers by communication category.
Available options:
Email, SMS The page number to retrieve.
Required range:
x >= 1The maximum number of items to return per page. Cannot exceed 100.
Required range:
1 <= x <= 100Response
The list of all providers configured in the system.
Standard paginated response wrapper.
Was this page helpful?
⌘I

